Thunder Docs
  1. Custom stores integration
  • Custom stores integration
    • Thunder Script Integration
    • Webhooks Integration
    • Orders Webhook
      POST
    • Products Webhook
      POST
  1. Custom stores integration

Products Webhook

POST
https://trythunder.app/api/custom/webhook
Last modified:2025-12-21 00:33:21

Request

Header Params

Body Params application/jsonRequired

Example
{
    "event": "product.create",
    "id": "string",
    "name": "string",
    "thumbnail": "string",
    "total": "string",
    "subTotal": "string",
    "tax": "string",
    "hardCost": {
        "labor": 0,
        "total": 0,
        "shipping": 0,
        "packaging": 0,
        "manufacturing": 0,
        "customFields": [
            {
                "title": "string",
                "value": 0
            }
        ]
    }
}

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{}
Modified at 2025-12-21 00:33:21
Previous
Orders Webhook
Built with